Bug 73300 - typo in pegasus driver
Summary: typo in pegasus driver
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-02 18:07 UTC by Robert Spier
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 01:03:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Spier 2002-09-02 18:07:12 UTC
Description of problem:
The pegasus usb network driver is missing a flag for a particular usb adapter.

How reproducible:
Always

Steps to Reproduce:
Pegasus driver is missing PEGASUS_II flag for SpeedStream adapter.

Additional info:

I sent a patch to the maintainer at the beginning of the year for the
SpeedStream USB 10/100 Ethernet adapter ($30 at CompUSA at that time) - but he
accidentally left out the PEGASUS_II flag when applying it.

For the device to work properly, the following patch should be applied in the
drivers/usb directory.

rspier@bear ~/peg$ diff -u pegasus.h.orig pegasus.h
--- pegasus.h.orig      Mon Sep  2 10:07:56 2002
+++ pegasus.h   Mon Sep  2 10:08:20 2002
@@ -169,7 +169,7 @@
 PEGASUS_DEV( "Accton USB 10/100 Ethernet Adapter", VENDOR_ACCTON, 0x1046,
                DEFAULT_GPIO_RESET )
 PEGASUS_DEV( "SpeedStream USB 10/100 Ethernet", VENDOR_ACCTON, 0x5046,
-               DEFAULT_GPIO_RESET )
+               DEFAULT_GPIO_RESET | PEGASUS_II )
 PEGASUS_DEV( "ADMtek ADM8511 \"Pegasus II\" USB Ethernet",
                VENDOR_ADMTEK, 0x8511,
                DEFAULT_GPIO_RESET | PEGASUS_II )

(Patch is against 2.4.18-10 source.)

I've notified the maintainer (petkan@users.sourceforge.net) of this issue, and
he will most likely submit it for inclusion in the next Marcello 2.4 kernel, but
it would be nice if it ended up in the next RedHat 2.4.18-x kernel too.

-R

Comment 1 Pete Zaitcev 2002-09-03 16:46:28 UTC
Poking Petko.


Comment 2 Pete Zaitcev 2002-09-04 16:48:44 UTC
Confirmed by Petko, community target is 2.4.20-pre6.


Comment 3 Pete Zaitcev 2002-09-20 05:49:27 UTC
CVS:
milan >2.4.18-14c


Comment 4 Robert Spier 2002-12-24 05:32:21 UTC
This change has not propogated out to the release kernels.  2.4.18-19.7.x is
still wrong.

Of course, it's also possible to patch the raw module. ;)

--- pegasus.o.orig.hex  Mon Dec 23 21:35:37 2002
+++ pegasus.o.hex       Mon Dec 23 21:35:26 2002
@@ -501,3 +501,3 @@
 0001f40 0024 8000 01a0 0000 083a 1046 0024 0000
-0001f50 0180 0000 083a 5046 0024 0000 0140 0000
+0001f50 0180 0000 083a 5046 0024 8000 0140 0000
 0001f60 07a6 8511 0024 8000 0100 0000 07a6 0986

Comment 5 Pete Zaitcev 2003-01-28 20:27:47 UTC
For crying our loud, aliased IDs!

CVS (for the second phase! First is in Marcelo tree already):
milan >2.4.18-22
gingin >2.4.20-2.27



Note You need to log in before you can comment on or make changes to this bug.